Bug 25377 - rpm-4.0-4 exits with usage on -ba
Summary: rpm-4.0-4 exits with usage on -ba
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-31 14:22 UTC by Michael McLagan
Modified: 2007-04-18 16:31 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-01-31 14:22:14 UTC


Attachments (Terms of Use)

Description Michael McLagan 2001-01-31 14:22:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.18-cdhs i686)


Trying to rebuild gated-3.6-3.src.rpm, install the RPM, change to
/usr/src/redhat/SPECS, issue 'rpm -ba gated.spec' results in usage display
which makes no mention of the -b option.

Reproducible: Always
Steps to Reproduce:
1.rpm -Uvh gated-3.6-3.src.rpm
2.cd /usr/src/redhat/SPECS
3.rpm -ba gated.spec
	

Actual Results:  RPM version 4.0
Copyright (C) 1998 - Red Hat Software
This may be freely redistributed under the terms of the GNU GPL

Usage: rpm {--help}

etc.

Expected Results:  It should have prepped and compiled gated.

Comment 1 Jeff Johnson 2001-01-31 14:37:48 UTC
Install the rpm-build package.


Note You need to log in before you can comment on or make changes to this bug.